## eris 1501861307.7e9a086

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)

project(Eris)
set(CMAKE_CXX_STANDARD 14)
include(GNUInstallDirs)
include(FindPkgConfig)
include(FindBoost)

# Version setup

set(ERIS_VERSION_MAJOR 1)
set(ERIS_VERSION_MINOR 4)
set(ERIS_VERSION_PATCH 0)

set(VERSION ${ERIS_VERSION_MAJOR}.${ERIS_VERSION_MINOR}.${ERIS_VERSION_PATCH})
set(SUFFIX -${ERIS_VERSION_MAJOR}.${ERIS_VERSION_MINOR})

set(ERIS_ABI_CURRENT 0)
set(ERIS_ABI_REVISION 0)
set(ERIS_ABI_AGE 0)
math(EXPR ERIS_SOVERSION ${ERIS_ABI_CURRENT}-${ERIS_ABI_AGE})
set(ERIS_ABI_VERSION ${ERIS_SOVERSION}.${ERIS_ABI_AGE}.${ERIS_ABI_REVISION})

# Set compiler flags
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")

include_directories("${PROJECT_SOURCE_DIR}")

# Meta data

string(TOLOWER "${PROJECT_NAME}" PROJECT_NAME_LOWER)
set(LIBNAME "${PROJECT_NAME_LOWER}${SUFFIX}")
set(DESCRIPTION "A WorldForge client library.")


# This macro defines a library
macro(wf_add_library _LIB_NAME _SOURCE_FILES_VAR _HEADER_FILES_VAR)

    add_library(${_LIB_NAME} SHARED ${${_SOURCE_FILES_VAR}})
    add_library(${_LIB_NAME}_STATIC STATIC ${${_SOURCE_FILES_VAR}})
    set_target_properties(${_LIB_NAME} PROPERTIES
            VERSION ${ERIS_ABI_VERSION}
            SOVERSION ${ERIS_SOVERSION}
            )

    install(TARGETS ${_LIB_NAME}
            LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

    foreach (file ${${_HEADER_FILES_VAR}})
        get_filename_component(dir ${file} DIRECTORY)
        install(FILES ${file} DESTINATION include/${PROJECT_NAME}${SUFFIX}/${dir})
    endforeach ()

    set(PKG_CONFIG_LIBS "-l${_LIB_NAME} ${PKG_CONFIG_LIBS}")

    target_link_libraries(${_LIB_NAME} ${WF_LIBRARIES})
    target_link_libraries(${_LIB_NAME}_STATIC ${WF_LIBRARIES})

endmacro()

# Add a "check" target, which builds and runs the tests.
add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND})

#Macro for adding a test. The test name will be extracted from the name of the first submitted file.
#Additional files can be submitted as varargs.
macro(wf_add_test TEST_FILE)

    get_filename_component(TEST_NAME ${TEST_FILE} NAME_WE)

    add_executable(${TEST_NAME} EXCLUDE_FROM_ALL ${TEST_FILE} ${ARGN})
    target_link_libraries(${TEST_NAME} ${PROJECT_NAME_LOWER}${SUFFIX}_STATIC)
    add_test(NAME ${TEST_NAME} COMMAND ${TEST_NAME})

    add_dependencies(check ${TEST_NAME})
endmacro()


pkg_check_modules(WF REQUIRED sigc++-2.0>=2.0.0 atlascpp-0.7>=0.7.0 wfmath-1.0>=1.0.0)

link_directories(${WF_LIBRARY_DIRS})
include_directories(${WF_INCLUDE_DIRS})
# Populate for pkg-config
set(REQUIRES "sigc++-2.0 atlascpp-0.7 wfmath-1.0")



find_package(Boost
        1.46.0
        REQUIRED
        COMPONENTS thread date_time system)

link_directories(${Boost_LIBRARY_DIRS})
link_libraries(${Boost_LIBRARIES})
include_directories(${Boost_INCLUDE_DIRS})

#boost::asio on unix systems requires pthreads, but that's not always picked up, so we need to declare it.
if (UNIX)
    set(THREADS_PREFER_PTHREAD_FLAG ON)
    find_package(Threads REQUIRED)
    link_libraries(Threads::Threads)
endif (UNIX)


# Define source files for libraries

set(SOURCE_FILES
        Eris/Account.cpp
        Eris/Avatar.cpp
        Eris/BaseConnection.cpp
        Eris/Calendar.cpp
        Eris/CharacterType.cpp
        Eris/Connection.cpp
        Eris/CustomEntities.cpp
        Eris/Entity.cpp
        Eris/EntityRef.cpp
        Eris/EntityRouter.cpp
        Eris/EventService.cpp
        Eris/Exceptions.cpp
        Eris/Factory.cpp
        Eris/IGRouter.cpp
        Eris/Lobby.cpp
        Eris/Log.cpp
        Eris/MetaQuery.cpp
        Eris/Metaserver.cpp
        Eris/Operations.cpp
        Eris/Person.cpp
        Eris/Redispatch.cpp
        Eris/Response.cpp
        Eris/Room.cpp
        Eris/Router.cpp
        Eris/ServerInfo.cpp
        Eris/Session.cpp
        Eris/SpawnPoint.cpp
        Eris/StreamSocket.cpp
        Eris/Task.cpp
        Eris/TransferInfo.cpp
        Eris/TypeBoundRedispatch.cpp
        Eris/TypeInfo.cpp
        Eris/Types.cpp
        Eris/TypeService.cpp
        Eris/View.cpp
        Eris/ViewEntity.cpp)

set(HEADER_FILES
        Eris/Account.h
        Eris/Avatar.h
        Eris/BaseConnection.h
        Eris/Calendar.h
        Eris/CharacterType.h
        Eris/Connection.h
        Eris/CustomEntities.h
        Eris/Entity.h
        Eris/EntityRef.h
        Eris/EntityRouter.h
        Eris/EventService.h
        Eris/Exceptions.h
        Eris/Factory.h
        Eris/IGRouter.h
        Eris/iround.h
        Eris/Lobby.h
        Eris/Log.h
        Eris/LogStream.h
        Eris/MetaQuery.h
        Eris/Metaserver.h
        Eris/Operations.h
        Eris/Person.h
        Eris/Redispatch.h
        Eris/Response.h
        Eris/Room.h
        Eris/Router.h
        Eris/ServerInfo.h
        Eris/Session.h
        Eris/SpawnPoint.h
        Eris/StreamSocket.h
        Eris/StreamSocket_impl.h
        Eris/Task.h
        Eris/TransferInfo.h
        Eris/TypeBoundRedispatch.h
        Eris/TypeInfo.h
        Eris/Types.h
        Eris/TypeService.h
        Eris/View.h
        Eris/ViewEntity.h
        Eris/WaitFreeQueue.h)

wf_add_library(${LIBNAME} SOURCE_FILES HEADER_FILES)

# pkg-config files
configure_file(${PROJECT_NAME_LOWER}.pc.in ${PROJECT_NAME_LOWER}${SUFFIX}.pc @ONLY)
install(FILES ${PROJECT_BINARY_DIR}/${PROJECT_NAME_LOWER}${SUFFIX}.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

# RPM spec files
#TODO: fix these
configure_file(${PROJECT_NAME_LOWER}.spec.in ${PROJECT_NAME_LOWER}.spec @ONLY)
#TODO: fix these
configure_file(mingw32-${PROJECT_NAME_LOWER}.spec.in mingw32-${PROJECT_NAME_LOWER}.spec @ONLY)

enable_testing()

wf_add_test(test/Account_integrationtest.cpp)
wf_add_test(test/Account_unittest.cpp)
wf_add_test(test/Avatar_unittest.cpp)
wf_add_test(test/BaseConnection_unittest.cpp)
wf_add_test(test/Calendar_unittest.cpp)
wf_add_test(test/Connection_unittest.cpp)
wf_add_test(test/DeleteLater_unittest.cpp)
wf_add_test(test/Entity_unittest.cpp)
wf_add_test(test/EntityRef_unittest.cpp)
wf_add_test(test/EntityRouter_unittest.cpp)
wf_add_test(test/EventService_unittest.cpp)
wf_add_test(test/Exceptions_unittest.cpp)
wf_add_test(test/Factory_unittest.cpp)
wf_add_test(test/IGRouter_unittest.cpp)
wf_add_test(test/Lobby_unittest.cpp)
wf_add_test(test/Log_unittest.cpp)
wf_add_test(test/LogStream_unittest.cpp)
wf_add_test(test/MetaQuery_unittest.cpp)
wf_add_test(test/Metaserver_integrationtest.cpp)
wf_add_test(test/Metaserver_unittest.cpp)
wf_add_test(test/Operations_unittest.cpp)
wf_add_test(test/Person_unittest.cpp)
wf_add_test(test/Poll_unittest.cpp)
wf_add_test(test/PollWinsock_unittest.cpp)
wf_add_test(test/Redispatch_unittest.cpp)
wf_add_test(test/Response_unittest.cpp)
wf_add_test(test/Room_unittest.cpp)
wf_add_test(test/Router_unittest.cpp)
wf_add_test(test/ServerInfo_unittest.cpp)
wf_add_test(test/Task_unittest.cpp)
wf_add_test(test/TransferInfo_unittest.cpp)
wf_add_test(test/TypeBoundRedispatch_unittest.cpp)
wf_add_test(test/TypeInfo_unittest.cpp)
wf_add_test(test/Types_unittest.cpp)
wf_add_test(test/TypeService_unittest.cpp)
wf_add_test(test/View_unittest.cpp)

#wf_add_test(testEris test/tests.cpp
#        test/stubServer.h test/stubServer.cpp
#        test/clientConnection.cpp test/clientConnection.h
#        test/agent.cpp test/agent.h
#        test/commander.cpp test/commander.h
#        test/controller.cpp test/controller.h
#        test/testUtils.h test/testUtils.cpp
#        test/objectSummary.h
#        test/netTests.cpp test/netTests.h
#        test/setupHelpers.cpp test/setupHelpers.h
#        test/signalHelpers.h
#        test/testOutOfGame.cpp test/testOutOfGame.h
#        test/viewTest.cpp test/viewTest.h
#        test/avatarTest.cpp test/avatarTest.h
#        test/calendarTest.cpp test/calendarTest.h)

add_executable(metaQuery test/metaQuery.cpp)
target_link_libraries(metaQuery ${LIBNAME})
add_executable(eris_connect test/connect.cpp)
target_link_libraries(eris_connect ${LIBNAME})

# Doxygen support, exports a "docs" target.

configure_file(eris.dox.in eris.dox @ONLY)

find_package(Doxygen)

if (DOXYGEN_FOUND)

    set(DOXYGEN_INPUT ${CMAKE_CURRENT_BINARY_DIR}/eris.dox)
    set(DOXYGEN_OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/doc)

    add_custom_command(
            OUTPUT ${DOXYGEN_OUTPUT}
            COMMAND ${CMAKE_COMMAND} -E echo_append "Building API Documentation..."
            COMMAND ${DOXYGEN_EXECUTABLE} ${DOXYGEN_INPUT}
            COMMAND ${CMAKE_COMMAND} -E echo "Done."
            WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
            DEPENDS ${DOXYGEN_INPUT}
    )

    add_custom_target(docs DEPENDS ${DOXYGEN_OUTPUT})

endif (DOXYGEN_FOUND)

add_custom_command(
        OUTPUT ChangeLog
        COMMAND ${CMAKE_SOURCE_DIR}/support/generate-ChangeLog.sh ${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR} 6951ccbc623ff06dc9598bef83c3d820f9b51aec
)
add_custom_target(changelog DEPENDS ChangeLog)


# Packaging (for source tarballs

set(CPACK_PACKAGE_DESCRIPTION_SUMMARY ${DESCRIPTION})
set(CPACK_PACKAGE_VENDOR "Worldforge")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${PROJECT_SOURCE_DIR}/README.md")
set(CPACK_RESOURCE_FILE_LICENSE "${PROJECT_SOURCE_DIR}/COPYING")
set(CPACK_PACKAGE_VERSION_MAJOR "${ERIS_VERSION_MAJOR}")
set(CPACK_PACKAGE_VERSION_MINOR "${ERIS_VERSION_MINOR}")
set(CPACK_PACKAGE_VERSION_PATCH "${ERIS_VERSION_PATCH}")
#set(CPACK_INSTALL_SCRIPT "sh ${CMAKE_SOURCE_DIR}/support/generate-ChangeLog.sh ${CMAKE_SOURCE_DIR} ${CPACK_PACKAGE_INSTALL_DIRECTORY} 8bd480b053190ffde2afe33af66f484953036f5a")

set(CPACK_SOURCE_GENERATOR TBZ2 ZIP)

set(CPACK_SOURCE_PACKAGE_FILE_NAME "${PROJECT_NAME}-${VERSION}" CACHE INTERNAL "tarball basename")

set(CPACK_SOURCE_IGNORE_FILES
        # no hidden files
        "/\\\\..+$"
        "~$"
        )

include(CPack)

## eris 1.3.19

=== debian/changelog ===
eris (1.3.19-5ubuntu2) trusty; urgency=medium

  * Fix debian/liberis-1.3-19.symbols backport for more architectures.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 15 Apr 2014 22:38:28 +0100

eris (1.3.19-5ubuntu1) trusty; urgency=medium

  * Backport patch to debian/liberis-1.3-19.symbols from Debian git.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 15 Apr 2014 21:47:27 +0100

eris (1.3.19-5build1) trusty; urgency=medium

  * No-change rebuild against libskstream-0.3-7.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 09 Jan 2014 00:19:13 +0000

eris (1.3.19-5) unstable; urgency=low

  * fixed a missing symbol for i386 arches

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Fri, 08 Jun 2012 11:27:58 -0400

eris (1.3.19-4) unstable; urgency=low

  * fixed symbols for GCC 4.7 (closes: #671950) (closes: #675291)
    - incorporates and acknowledges NMU from Matthias Klose

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Thu, 31 May 2012 09:43:17 -0400

eris (1.3.19-3.1) unstable; urgency=low

  * Non maintainer upload.
  * Mark missing constructor symbols when built with GCC 4.7 as optional.
    Closes: #671950.

 -- Matthias Klose <doko@debian.org>  Tue, 29 May 2012 09:42:44 +0000

eris (1.3.19-3) unstable; urgency=low

  * fixed symbols for ia64
    - debian/liberis-1.3-19.symbols: marked some additional inline symbols as
      optional to fix FTBFS on ia64

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Wed, 11 Apr 2012 10:01:44 -0400

eris (1.3.19-2) unstable; urgency=low

  * made some C++ inline symbol optional
    - debian/liberis-1.3-19.symbols: marked some inline symbols as optional to
      fix FTBFS on various architectures.

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Wed, 07 Mar 2012 14:10:57 -0500

eris (1.3.19-1) unstable; urgency=low

  * new upstream version
  * new maintainers (Debian games team) (closes: #653972)
  * replaced use of chrpath with patch to ancient libtool
  * changed binary package names due to bumped SONAME
  * converted to 3.0 (quilt) source format
  * updates Standards-Version to 3.9.3 (no changes required)
  * debian/control: added Vcs- fields
  * added symbols tracking
  * debian/copyright: converted to DEP-5 format, updated dates
  * converted to use the dh build sequencer (compat level 9)
    - made binary packages multi-arch
    - regenerated autotools auxiliary files on build
  * converted to use xz compression in packaging

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Sat, 03 Mar 2012 13:20:38 -0500

eris (1.3.14-3) unstable; urgency=low

  * debian/liberis-1.3-dev.install: Don't include *.la file.
  * debian/control: Updated to Standards-Version 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Tue, 25 Aug 2009 21:43:03 +0200

eris (1.3.14-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Koch <konqueror@gmx.de>  Sun, 26 Jul 2009 12:15:39 +0200

eris (1.3.14-1) experimental; urgency=low

  * New upstream release.
    - upload to experimental due to new SONAME.
    - debian/patches/eris-gcc4.3.patch: Applied upstream.
  * Upgrade Build-Depends on libwfmath-0.3-dev to >= 0.3.9.
  * debian/control: Add libmercator-0.2-dev (>= 0.2.7) to Build-Depends.
  * debian/control: Add Depends: ${misc:Depends} to all packages.
  * debian/control: Move liberis-1.3-14-dbg to debug section.
  * debian/control: Updated Standards-Version to 3.8.2.
  * debian/watch: Use SourceForge redirector.

 -- Michael Koch <konqueror@gmx.de>  Tue, 21 Jul 2009 16:05:47 +0200

eris (1.3.13-2) unstable; urgency=low

  * Added patch to make eris build with GCC 4.3. Closes: #472555.
  * Reworked debian/copyright.
  * Remove "-1" part in versioned Build-Depends.

 -- Michael Koch <konqueror@gmx.de>  Wed, 26 Mar 2008 23:27:56 +0100

eris (1.3.13-1) unstable; urgency=low

  * New upstream release (changed soname).
  * debian/patches/eris-gcc4.3.patch: Added patch to fix GCC 4.3 error with
    two arguments having the same name in a prototype. Closes: #454884.
  * Use chrpath to delete rpath from library.
  * Updated Standards-Version to 3.7.3.
  * Updated debhelper level to 5.
  * Added homepage field.

 -- Michael Koch <konqueror@gmx.de>  Sun, 09 Dec 2007 16:18:57 +0100

eris (1.3.12-1) unstable; urgency=low

  * New upstream release.
  * Adjusted (Build-)Depends.
  * Replaced ${Source-Version} by ${binary:Version}.

 -- Michael Koch <konqueror@gmx.de>  Thu, 28 Jun 2007 05:36:22 -0100

eris (1.3.10-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Koch <konqueror@gmx.de>  Tue,  7 Feb 2006 13:12:13 +0000

eris (1.3.10-1) experimental; urgency=low

  * New upstream release
    - Changed package names due to new SONAME.
  * Upload to experimental for now.

 -- Michael Koch <konqueror@gmx.de>  Wed,  4 Jan 2006 07:33:12 +0000

eris (1.3.9-1) unstable; urgency=low

  * Acknowledge NMU. Closes: #339162
  * New upstream release
    - Changed package names due to new SONAME.
    - Build-Depend on libsigc++-2.0-dev instead of libsigc++-1.2-dev.

 -- Michael Koch <konqueror@gmx.de>  Thu, 22 Dec 2005 22:45:33 +0000

eris (1.3.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Medium-urgency upload for RC bugfix.
  * Rename liberis-1.3-7 to liberis-1.3-7c2a for the C++ mt allocator
    ABI transition, and conflict/replace with liberis-1.3-7 accordingly.
    Closes: #339162.
  * Build-depend on libatlas-cpp-0.6-dev (>= 0.5.98-2) and
    libwfmath-0.3-dev (>= 0.3.4-3).

 -- Steve Langasek <vorlon@debian.org>  Mon, 28 Nov 2005 07:09:42 -0800

eris (1.3.8-1) unstable; urgency=low

  * New upstream release
    - FTBFS: No matching function for call to StreamConnect
      (Closes: #332705)
    - Removed debian/patches/eris-gcc-4.0.patch. Applied upstream 
  * Upload sponsored by Petter Reinholdtsen

 -- Michael Koch <konqueror@gmx.de>  Mon, 10 Oct 2005 13:59:06 +0000

eris (1.3.7-3) unstable; urgency=low

  * Tightened Build-Depends and Depends on depended C++ libraries
  * Added debian/patches/eris-gcc-4.0.patch to work with recent g++-4.0



=== debian/control ===
Source: eris
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen M. Webb <stephen.webb@bregmasoft.ca>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               doxygen,
               libatlas-cpp-0.6-dev (>= 0.6.2),
               libglib2.0-dev,
               libmercator-0.3-dev (>= 0.3.0),
               libsigc++-2.0-dev,
               libskstream-0.3-dev (>= 0.3.8),
               libwfmath-0.3-dev (>= 0.3.11)
Build-Conflicts: libsigc++-1.2-dev, libsigc-perl, libsigcoperl-dev
Standards-Version: 3.9.3
Homepage: http://www.worldforge.org/
Vcs-Git: git://git.debian.org/git/pkg-games/eris.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/eris.git

Package: liberis-1.3-19
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: WorldForge client entity library
 Eris is designed to simplify client development (and avoid repeating the
 same work several times), by providing a common system to deal with the
 back end tasks. Notably, Eris encapsulates most of the work in getting
 Atlas entities available on your client, logging into a server, and
 managing updates from the server. Thus it can be considered as a session
 layer above Atlas, providing persistent (for the session) objects as
 opposed to Atlas ones (which are transient). It handles the client-side
 implementation of the meta-server protocol, and querying game servers;
 out-of-game (OOG) operations (via the Lobby and Rooms), and most
 important in-game (IG) operations such as entity creation, movement and
 updates.
 .
 Eris provides a generic 'Entity' class, which you are free to sub-class
 and provide to the system (by registering a factory with the World);
 thus you are free to create different classes to handle characters,
 walls, vehicles, etc as your client dictates. An alternative approach is
 to simply create peer classes, and connect them to Eris via
 callbacks. Eris makes extensive use of libSigC++, which must be
 correctly installed and functioning on your system. Familiarity with
 signal/slot programming concepts is essential for using Eris; the
 libSigC++ home-page has some examples. Gtk+ or QT signal systems also
 provide a good introduction.

Package: liberis-1.3-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6~)
Depends: libatlas-cpp-0.6-dev (>= 0.6.2),
         liberis-1.3-19 (= ${binary:Version}),
         libglib2.0-dev,
         libsigc++-2.0-dev,
         libskstream-0.3-dev (>= 0.3.8),
         libwfmath-0.3-dev (>= 0.3.11),
         ${misc:Depends}
Description: WorldForge client entity library - development files
 Eris is designed to simplify client development (and avoid repeating the
 same work several times), by providing a common system to deal with the
 back end tasks. Notably, Eris encapsulates most of the work in getting
 Atlas entities available on your client, logging into a server, and
 managing updates from the server. Thus it can be considered as a session
 layer above Atlas, providing persistent (for the session) objects as
 opposed to Atlas ones (which are transient). It handles the client-side
 implementation of the meta-server protocol, and querying game servers;
 out-of-game (OOG) operations (via the Lobby and Rooms), and most
 important in-game (IG) operations such as entity creation, movement and
 updates.
 .
 Eris provides a generic 'Entity' class, which you are free to sub-class
 and provide to the system (by registering a factory with the World);
 thus you are free to create different classes to handle characters,
 walls, vehicles, etc as your client dictates. An alternative approach is
 to simply create peer classes, and connect them to Eris via
 callbacks. Eris makes extensive use of libSigC++, which must be
 correctly installed and functioning on your system. Familiarity with
 signal/slot programming concepts is essential for using Eris; the
 libSigC++ home-page has some examples. Gtk+ or QT signal systems also
 provide a good introduction.
 .
 This package contains the development files for compiling software
 depending on Eris.

Package: liberis-1.3-19-dbg
Section: debug
Architecture: any
Multi-Arch: same
Priority: extra
Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6~)
Depends: liberis-1.3-19 (= ${binary:Version}), ${misc:Depends}
Description: WorldForge client entity library - debugging library
 Eris is designed to simplify client development (and avoid repeating the
 same work several times), by providing a common system to deal with the
 back end tasks. Notably, Eris encapsulates most of the work in getting
 Atlas entities available on your client, logging into a server, and
 managing updates from the server. Thus it can be considered as a session
 layer above Atlas, providing persistent (for the session) objects as
 opposed to Atlas ones (which are transient). It handles the client-side
 implementation of the meta-server protocol, and querying game servers;
 out-of-game (OOG) operations (via the Lobby and Rooms), and most
 important in-game (IG) operations such as entity creation, movement and
 updates.
 .
 Eris provides a generic 'Entity' class, which you are free to sub-class
 and provide to the system (by registering a factory with the World);
 thus you are free to create different classes to handle characters,
 walls, vehicles, etc as your client dictates. An alternative approach is
 to simply create peer classes, and connect them to Eris via
 callbacks. Eris makes extensive use of libSigC++, which must be
 correctly installed and functioning on your system. Familiarity with
 signal/slot programming concepts is essential for using Eris; the
 libSigC++ home-page has some examples. Gtk+ or QT signal systems also
 provide a good introduction.
 .
 This package contains the debugging library.

Package: liberis-doc
Section: doc
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}
Suggests: liberis-1.3-dev
Architecture: all
Multi-Arch: foreign
Description: WorldForge client entity library - API documentation
 Eris is designed to simplify client development (and avoid repeating the
 same work several times), by providing a common system to deal with the
 back end tasks. Notably, Eris encapsulates most of the work in getting
 Atlas entities available on your client, logging into a server, and
 managing updates from the server. Thus it can be considered as a session
 layer above Atlas, providing persistent (for the session) objects as
 opposed to Atlas ones (which are transient). It handles the client-side
 implementation of the meta-server protocol, and querying game servers;
 out-of-game (OOG) operations (via the Lobby and Rooms), and most
 important in-game (IG) operations such as entity creation, movement and
 updates.
 .
 Eris provides a generic 'Entity' class, which you are free to sub-class
 and provide to the system (by registering a factory with the World);
 thus you are free to create different classes to handle characters,
 walls, vehicles, etc as your client dictates. An alternative approach is
 to simply create peer classes, and connect them to Eris via
 callbacks. Eris makes extensive use of libSigC++, which must be
 correctly installed and functioning on your system. Familiarity with
 signal/slot programming concepts is essential for using Eris; the
 libSigC++ home-page has some examples. Gtk+ or QT signal systems also
 provide a good introduction.
 .
 This package contains the API documentation in HTML format.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_clean:
	rm -rf docs
	dh_auto_clean

override_dh_auto_build-indep:
	$(MAKE) doc

override_dh_install:
	dh_install --fail-missing -X.la -X.a

override_dh_strip:
	set -e; \
	for pkg in $(patsubst %-dbg,%,$(filter %-dbg,$(shell dh_listpackages))); do \
		dh_strip -p$${pkg} --dbg-package=$${pkg}-dbg; \
	done
	dh_strip -s --remaining-packages

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
http://sf.net/worldforge/eris-(.*)\.tar\.gz debian uupdate

## eris 1.3.21

=== debian/changelog ===
eris (1.3.21-0.1) unstable; urgency=low

  [ Tobias Frost ]
  * Non-maintainer upload.
  * Fixing symbol file for liberis.
  * Adding patch remove silent-rules.

  [ Stephen M. Webb ]
  * new upstream release
  * debian/control: bumped build-dep versions for new WorldForge packages
  * renamed packages due to new SONAME
  * debian/liberis-1.3-20.symbols: updated for new ABI
  * debian/control: updated Standards-Version to 3.9.4 (updated VCS-* fields)
  * debian/libskstream-0.3-7.symbols: updated for GCC 4.8 (closes: #701273)
  * debian/copyright: refreshed some dates
  * debian/patches/0001-bump-mercator-builddep.patch: new file
    - forced minimum biuild dependency version for those who want to build
      from source
  * debian/control: fixed Vcs-Browser URL

 -- Tobias Frost <tobi@debian.org>  Sat, 16 Aug 2014 07:10:01 +0000

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,24 @@
 Source: eris
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephen M. Webb <stephen.webb@bregmasoft.ca>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                doxygen,
                libatlas-cpp-0.6-dev (>= 0.6.2),
                libglib2.0-dev,
-               libmercator-0.3-dev (>= 0.3.0),
+               libmercator-0.3-dev (>= 0.3.2),
                libsigc++-2.0-dev,
-               libskstream-0.3-dev (>= 0.3.8),
-               libwfmath-0.3-dev (>= 0.3.11)
+               libskstream-0.3-dev (>= 0.3.9),
+               libwfmath-1.0-dev
 Build-Conflicts: libsigc++-1.2-dev, libsigc-perl, libsigcoperl-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.worldforge.org/
-Vcs-Git: git://git.debian.org/git/pkg-games/eris.git
-Vcs-Browser: http://git.debian.org/?p=pkg-games/eris.git
+Vcs-Git: git://anonscm.debian.org/pkg-games/eris.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/eris.git
 
-Package: liberis-1.3-19
+Package: liberis-1.3-20
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6~)
@@ -53,11 +52,11 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6~)
 Depends: libatlas-cpp-0.6-dev (>= 0.6.2),
-         liberis-1.3-19 (= ${binary:Version}),
+         liberis-1.3-20 (= ${binary:Version}),
          libglib2.0-dev,
          libsigc++-2.0-dev,
          libskstream-0.3-dev (>= 0.3.8),
-         libwfmath-0.3-dev (>= 0.3.11),
+         libwfmath-1.0-dev,
          ${misc:Depends}
 Description: WorldForge client entity library - development files
  Eris is designed to simplify client development (and avoid repeating the
@@ -86,13 +85,13 @@
  This package contains the development files for compiling software
  depending on Eris.
 
-Package: liberis-1.3-19-dbg
+Package: liberis-1.3-20-dbg
 Section: debug
 Architecture: any
 Multi-Arch: same
 Priority: extra
 Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6~)
-Depends: liberis-1.3-19 (= ${binary:Version}), ${misc:Depends}
+Depends: liberis-1.3-20 (= ${binary:Version}), ${misc:Depends}
 Description: WorldForge client entity library - debugging library
  Eris is designed to simplify client development (and avoid repeating the
  same work several times), by providing a common system to deal with the

=== debian/watch ===
version=3
http://sf.net/worldforge/eris-([\d.]+)\.tar\.bz2 debian

## eris 1.3.23

=== debian/changelog ===
eris (1.3.23-8) unstable; urgency=high

  * Update debhelper compatibility to 13 (delete d/compat)
  * Update standards to 4.5.0 (no changes)
  * Remove d/symbols due to continued instability
    - Closes: #957178, #963055, #921116

 -- Olek Wojnar <olek@debian.org>  Sun, 02 Aug 2020 00:30:50 -0400

eris (1.3.23-7) unstable; urgency=high

  * Remove unnecessary override
  * Fix symbols for GCC-8 (Closes: #897743)
  * Fix symbols for ppc64el in Ubuntu (Closes: #893674)
    - Thanks to Steve Langasek for the patch
  * Add d/upstream/metadata for DEP 12 compliance
  * Update standards to 4.2.1 (no changes)
  * Update compatibility level to 11 (no changes)
  * Update d/control: new uploader email and URLs
  * Update d/copyright: refresh debian info
  * Update d/control: migration complete, remove dbgsym-migration flag

 -- Olek Wojnar <olekw.dev@gmail.com>  Wed, 03 Oct 2018 15:59:04 -0400

eris (1.3.23-6) unstable; urgency=medium

  * Fix symbols for GCC 7 update (Closes: #853391)
  * Update standards to 4.1.3
    - d/control: document new standards version
    - d/copyright: use https in Format field
    - d/watch: use https
  * Update dh compat to 10
    - Update d/rules
    - Remove unnecessary ldconfig trigger
  * Update d/copyright for ./debian directory

 -- Olek Wojnar <olek-dev@wojnar.org>  Sun, 31 Dec 2017 20:59:13 -0500

eris (1.3.23-5) unstable; urgency=medium

  * Fix symbols for GCC 6 update (Closes: #839304)
  * Mark -dev package as Multi-Arch: same

 -- Olek Wojnar <olek-dev@wojnar.org>  Mon, 10 Oct 2016 21:43:17 -0400

eris (1.3.23-4) unstable; urgency=medium

  * Fix symbols for -O3 builds on ppc64el
  * Fix symbols for armhf builds with GCC 6

 -- Olek Wojnar <olek-dev@wojnar.org>  Mon, 15 Aug 2016 20:12:07 -0400

eris (1.3.23-3) unstable; urgency=medium

  * Move doxygen to Build-Depends-Indep
  * Fix symbols for m68k

 -- Olek Wojnar <olek-dev@wojnar.org>  Thu, 14 Jul 2016 19:35:37 -0400

eris (1.3.23-2) unstable; urgency=medium

  * Disable additional network-related test
    - Test was causing build failures
    - Rename 02-disable-BaseConnection-unittest.patch to
      02-disable-two-network-tests.patch
  * Fix symbols that were causing build failures
  * Update symbols for GCC6

 -- Olek Wojnar <olek-dev@wojnar.org>  Mon, 04 Jul 2016 15:34:22 -0400

eris (1.3.23-1) unstable; urgency=medium

  * New upstream release (Closes: #799749)
  * Incorporate NMU, thanks Tobias Frost
  * Update d/control
    - Standards-Version to 3.9.8 (no changes)
    - Remove pre-dependency on dpkg
    - Update Vcs lines for secure URIs
  * Add myself as new uploader
    - Remove Stephen Webb per his request
    - Thanks for all the contributions, Stephen!
  * Update symbols
  * Convert to automatic debug package
  * Enable all hardening options
  * Update d/copyright
  * Update lintian overrides
  * Add ldconfig trigger

 -- Olek Wojnar <olek-dev@wojnar.org>  Sun, 26 Jun 2016 16:55:55 -0400

=== debian/control ===
--- 
+++ 
@@ -2,26 +2,27 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Stephen M. Webb <stephen.webb@bregmasoft.ca>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
-               doxygen,
-               libatlas-cpp-0.6-dev (>= 0.6.2),
+Uploaders: Olek Wojnar <olek@debian.org>,
+           Debian Games Team <team+pkg-games@tracker.debian.org>,
+Build-Depends: debhelper-compat (= 13),
+               libatlas-cpp-0.6-dev (>= 0.6.3),
                libglib2.0-dev,
-               libmercator-0.3-dev (>= 0.3.2),
+               libmercator-0.3-dev (>= 0.3.3),
                libsigc++-2.0-dev,
                libskstream-0.3-dev (>= 0.3.9),
-               libwfmath-1.0-dev
+               libwfmath-1.0-dev,
+Build-Depends-Indep: doxygen
 Build-Conflicts: libsigc++-1.2-dev, libsigc-perl, libsigcoperl-dev
-Standards-Version: 3.9.4
-Homepage: http://www.worldforge.org/
-Vcs-Git: git://anonscm.debian.org/pkg-games/eris.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/eris.git
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://www.worldforge.org/
+Vcs-Git: https://salsa.debian.org/games-team/eris.git
+Vcs-Browser: https://salsa.debian.org/games-team/eris
 
-Package: liberis-1.3-20
+Package: liberis-1.3-21
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6~)
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: WorldForge client entity library
  Eris is designed to simplify client development (and avoid repeating the
@@ -50,12 +51,13 @@
 Package: liberis-1.3-dev
 Section: libdevel
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6~)
-Depends: libatlas-cpp-0.6-dev (>= 0.6.2),
-         liberis-1.3-20 (= ${binary:Version}),
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libatlas-cpp-0.6-dev (>= 0.6.3),
+         liberis-1.3-21 (= ${binary:Version}),
          libglib2.0-dev,
          libsigc++-2.0-dev,
-         libskstream-0.3-dev (>= 0.3.8),
+         libskstream-0.3-dev (>= 0.3.9),
          libwfmath-1.0-dev,
          ${misc:Depends}
 Description: WorldForge client entity library - development files
@@ -85,42 +87,8 @@
  This package contains the development files for compiling software
  depending on Eris.
 
-Package: liberis-1.3-20-dbg
-Section: debug
-Architecture: any
-Multi-Arch: same
-Priority: extra
-Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6~)
-Depends: liberis-1.3-20 (= ${binary:Version}), ${misc:Depends}
-Description: WorldForge client entity library - debugging library
- Eris is designed to simplify client development (and avoid repeating the
- same work several times), by providing a common system to deal with the
- back end tasks. Notably, Eris encapsulates most of the work in getting
- Atlas entities available on your client, logging into a server, and
- managing updates from the server. Thus it can be considered as a session
- layer above Atlas, providing persistent (for the session) objects as
- opposed to Atlas ones (which are transient). It handles the client-side
- implementation of the meta-server protocol, and querying game servers;
- out-of-game (OOG) operations (via the Lobby and Rooms), and most
- important in-game (IG) operations such as entity creation, movement and
- updates.
- .
- Eris provides a generic 'Entity' class, which you are free to sub-class
- and provide to the system (by registering a factory with the World);
- thus you are free to create different classes to handle characters,
- walls, vehicles, etc as your client dictates. An alternative approach is
- to simply create peer classes, and connect them to Eris via
- callbacks. Eris makes extensive use of libSigC++, which must be
- correctly installed and functioning on your system. Familiarity with
- signal/slot programming concepts is essential for using Eris; the
- libSigC++ home-page has some examples. Gtk+ or QT signal systems also
- provide a good introduction.
- .
- This package contains the debugging library.
-
 Package: liberis-doc
 Section: doc
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}
 Suggests: liberis-1.3-dev
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_clean:
	rm -rf docs
	dh_auto_clean

override_dh_auto_build-indep:
	$(MAKE) docs

override_dh_missing:
	dh_missing -X.la -X.a

=== debian/watch ===
version=4
https://sf.net/worldforge/eris-([\d\.]+)\.(?:tar\.(?:gz|bz2|xz)) debian uupdate
